<?php

namespace Database\Seeders;

use App\Models\Plan;
use Illuminate\Database\Seeder;

class PlanSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $plan1=Plan::create([
            'name'=> 'Bachillerato',
            'rvoe'=>'1234567890',
            'duracion'=>6,
            'duration_id'=>1,
            'nivel'=>1,
            'carrera'=>1
        ]);
        $plan1->planesPlantel()->sync([1,2,3]);

        $plan2=Plan::create([
            'name'=> 'Licenciatura',
            'rvoe'=>'1234567890',
            'duracion'=>10,
            'duration_id'=>2,
            'nivel'=>2,
            'carrera'=>14
        ]);

        $plan2->planesPlantel()->sync([1,2,3]);
    }
}
